Mongodb installed with 3.4.2 version part of vagrant install

Should i upgrade to latest version before continue with training ? if yes, Please provide me the steps
Thanks !
Thy